
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《逻辑与计算机设计基础（原书第5版）》——1.3　数制 / iVAN</title>

    <meta name="description" content="《逻辑与计算机设计基础（原书第5版）》——1.3　数制 1.3 数制 之前,我们提到数字计算机处理的是离散信息,并都采用二进制形式表示.计算中的操作数都是二进制数或者是用二进制形式表示的十进制数.字母表中的字母也有相对应的二进制编码.本章的余下内容将介绍二进制.二进制计算以及以后章节会用到的一些二进制编码.对于通用计算机来说,这些内容是非常重要的,它的每个部件都会用到这些知识,当然在某些输入输出设备中还会提及机械操作和模拟(与&quot;数字&quot;相反)电路. 十进制数是人们日常使用的计数法,采用一串数字来表示数的大小,其中每个数字根据它所在的 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《逻辑与计算机设计基础（原书第5版）》——1.3　数制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.3　数制</h3>
<p>之前，我们提到数字计算机处理的是离散信息，并都采用二进制形式表示。计算中的操作数都是二进制数或者是用二进制形式表示的十进制数。字母表中的字母也有相对应的二进制编码。本章的余下内容将介绍二进制、二进制计算以及以后章节会用到的一些二进制编码。对于通用计算机来说，这些内容是非常重要的，它的每个部件都会用到这些知识，当然在某些输入输出设备中还会提及机械操作和模拟（与“数字”相反）电路。<br />
十进制数是人们日常使用的计数法，采用一串数字来表示数的大小，其中每个数字根据它所在的位置而具有不同的权重，这些权重是10的幂。例如，十进制数724.5包含有7个100、2个10、4个1以及5个10分之1，其中的百位、十位、个位、十分位就是每个数字的权位，其权重大小是10的幂。整个十进制数的大小可以这样计算：<br />
724.5＝7×102＋2×101＋4×100＋5×10-1<br />
这种数字表示方法只需要知道每位数字以及其对应的权位。一般而言，一个有n位整数m位小数的十进制数可以用如下系数形式表示：<br />
An-1 An-2 …A1 A0. A-1 A-2…A-m+1 A-m<br />
其中每一个系数Ai都是0、1、2、3、4、5、6、7、8、9这十个数字中的一个，下标i表示该系数的权位，其权重就是10i。<br />
十进制数的基底（base或radix）是10，因为系统中采用了10个不同的数字，数字权位的权重是10的幂。一般而言，一个基底为r的进制系统使用r个不同的数字：0，1，2，…，r，并可以用如下r的不同次幂的多项式表示：<br />
An-1 rn-1＋An-2 rn-2＋…A1 r1＋A0 r0＋A-1 r-1＋A-2 rn-2＋…A-m+1 r-m+1 A-m r-m<br />
采用按位计数法来表示数字时，只需要将多项式的各项系数以及小数点写成如下形式即可：<br />
An-1 An-2 …A1 A0. A-1 A-2…A-m+1 A-m<br />
通常，“.”为小数点，An-1为最高有效位（most significant digit，msd），A-m为最低有效位（least significant digit，lsd）。当m＝0时，最低有效位A-0＝A0。为了能清晰地区分数字的进制，通常用小括号将系数括起来，并在括号的右下方用一个下标数字提示本数字的进制。当然，如果从上下文能清楚地知道数字的进制，那么这个括号也可以不要。下面是一个n为3，m为1的五进制数以及其转换为十进制形式的例子。<br />
(312.4)5＝3×52＋1×51＋2×50＋4×5-1＝75＋5＋2＋0.8＝(82.8)10<br />
注意，所有没有特意说明进制的数字都是按十进制进行计算的。在五进制系统中，只能使用5个数字，因此系数的值只能是0、1、2、3或4。<br />
我们还可以采用另一种计算步骤较少的方法进行进制转换，这种方法基于一连串的幂因子分解。<br />
(...((An-1r＋An-2)r＋(An-3)r＋...＋A1)r＋A0<br />
＋(A-1＋(A-2＋(A-3＋...＋(A-m+2＋(A-m+1＋A-mr-1)r-1)r-1…)r-1)r-1)r-1<br />
对于上面的例子，我们有：<br />
(312.4)5＝((3×5＋1)×5)＋2＋4×5-1＝16×5＋2＋0.8＝(82.8)10<br />
除了十进制，在计算机系统中还有3种常用的进制：二进制、八进制以及十六进制，它们的基底分别为2、8和16。<br /><strong>1.3.1　二进制</strong><br />
二进制数字系统的基底为2，数字只有两个：0和1。一个二进制数，比如11010.11是由一串1和0来表示的，如果是小数，则还有一个小数点。二进制数转化为十进制形式很容易，只需将二进制数字按2的幂级数形式展开即可，例如，<br />
(11010)2＝1×24＋1×23＋0×22＋1×21＋0×20＝(26)10<br />
前面我们提到过，二进制数字中的每一个数称为一位（bit）。当某一位为0，即表示这一位在转换求和的过程中没有任何贡献。所以，将二进制数转化为十进制的形式只需要将所有值为1的位所对应的2的指数值相加即可，例如，<br />
(11010.11)2＝32＋16＋4＋1＋0.5＋0.25＝(53.75)10<br />
表1-2列出了2的前24个指数值。在数字系统中我们常称210为1 K，220为1 M，230为1 G，240为1 T。这样，<br />
4 K＝22×210＝212＝4096　　16 M＝24×220＝224＝16 777 216<br />
但这种惯用法也会有变化，比如现在人们也常用K、M、G和T分别表示103、106、109和1012。所以遇见K、M、G和T时，我们必须谨慎地理解它们代表的数字大小。<br /><a href="https://yqfile.alicdn.com/74230bbe4414bb3f3063b1ab783c37f03667fde1.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzc0MjMwYmJlNDQxNGJiM2YzMDYzYjFhYjc4M2MzN2YwMzY2N2ZkZTEucG5n.jpg"></a></p>
<p>将十进制数变换成二进制数，可以采用一种很方便的方法：将十进制数不断地减去2的指数值。对于一个十进制数N，我们先将N减去一个比它小的2的最大指数值（见表1-2），剩余的数称为N1，我们再将N1减去比它小的2的最大指数值，剩余的数称为N2，一直持续下去，直到剩余的数为0。这样，一个十进制数就可以转换为若干2的指数项，其二进制形式由2的一系列指数项的系数组合形成，这些系数为1或者为0，如果某一个2的指数项用作减数，则其系数为1，否则为0。 这种方法可以用这样一个实际的例子来说明，将625转换成二进制数：<br />
625―512＝113＝N1　512＝29<br />
　113―64＝49＝N2　  64＝26<br />
      49―32＝17＝N3　 512＝25<br />
　　17―16＝1＝N4　  16＝24<br />
　　　1―1＝0＝N5　    1＝20<br />
(625)10＝29＋26＋25＋24＋20＝(1001110001)2<br /><strong>1.3.2　八进制与十六进制</strong><br />
前面我们提到，所有的计算机与数字系统采用的都是二进制形式。而八进制（基底为8）和十六进制（基底为16）也可以很方便地表示二进制量，因为它们的基底是2的倍数。因为8＝23、16＝24，所以一个八进制位相当于3个二进制位，一个十六进制位相当于4个二进制位。<br />
用八进制与十六进制表示二进制量，形式上更紧凑，使用起来更方便，二进制位串的长度是八进制或十六进制位串长度的3倍或4倍。所以，大多数计算机手册采用八进制或十六进制来表示二进制量。例如，只需用5个八进制位就可表示一个15位长的二进制串，一个16位的二进制串只需4个十六进制位表示即可。至于是选用八进制还是十六进制，则没有硬性规定，在实际中十六进制的使用更普遍，因为在数字系统中二进制位串通常是4的整倍数长。<br />
八进制的基底为8，数字有8个：0、1、2、3、4、5、6、7。假设一个八进制数为127.4，要求它的十进制形式，只要将它按8的幂级数的形式展开即可：<br />
(127.4)8＝1×82＋2×81＋7×80＋4×8-1＝(87.5)10<br />
在八进制中没有数字8和9。<br />
在一个基底为r的进制系统中，如果r小于10，一般采用十进制中从0开始的前r个数字；如果r大于或等于10，就选用英文字母来表示大于10的数字。在十六进制中，前10个数字都来自于十进制，而字母A、B、C、D、E、F则分别用于表示10、11、12、13、14、15，例如下面这个十六进制数：<br />
(B65F)16＝1×163＋6×162＋5×161＋15×160＝(46687)10<br />
表1-3列出十进制、二进制、八进制和十六进制的前16个数字。注意，二进制串按一种规定的模式组成，最低有效位表示0或1，第2有效位表示0或2，第3有效位表示0或4，最高有效位表示0或8。<br />
将二进制转换为八进制非常容易，只需从小数点开始，向左或向右，将二进制位按3位分成一组，然后将每一组用相应大小的八进制数字表示即可。下面就是这种转换过程的演示：<br /><a href="https://yqfile.alicdn.com/392a4d5fb6f02c80f8bab8c3830548cfc4a2576b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM5MmE0ZDVmYjZmMDJjODBmOGJhYjhjMzgzMDU0OGNmYzRhMjU3NmIucG5n.jpg"></a></p>
<p>每组二进制位所对应的八进制数字可以从表1-3中查到。如果小数点左方二进制位的长度不是3的倍数，则可在最高位补0，更重要的是，如果小数点右方二进制位的长度不是3的倍数，则必须在最右方补0，这样才会得到正确的转换结果。<br />
将二进制转换为十六进制方法类似，只不过是将二进制串从小数点开始每4位为一组。上面例子中的二进制数转换为十六进制就是：<br />
(010 1100 0110 011.1111 0000 0110)2＝(2C6B.F06)16<br />
同样，每组二进制位所对应的十六进制数也可从表1-3中查到。<br />
将八进制数与十六进制数转换为二进制数，正好是以上方法的逆过程。每一个八进制数位可转换成所对应的3个二进制位，多余的0则可去掉。同样，每一个十六进制数位可转换为所对应的4个二进制位。例子如下：<br />
(673.12)8＝110 111 011.001 010＝(110111011.001010)2<br />
(3A6.C)16＝0011 1010 0110.1100＝(1110100110.1100)2<br /><strong>1.3.3　数字范围</strong><br />
数字计算机所能表示的数字范围，受到负责信息存储与处理的硬件结构的二进制位个数的限制。通常硬件结构的二进制位个数是2的幂数，比如8、16、32或64。因为受硬件结构的限制，二进制位个数是固定的，所以用固定的二进制位数表示某个数时，没用到的最左前或最右后的二进制位必须置为0，这样，所能表示的数字范围也就是固定的了。<br />
例如，在一个可处理16位无符号整数的计算机中，数字537的二进制表示形式是0000001000011001。这种形式的数能表示的整数范围为0～216―1，也就是从0～65 535。在这台计算机中，对于无符号纯小数，比如0.375，它的二进制表示形式为0.0110000000000000，所能表示的小数范围是0～(216―1)/216，也就是0～0.999 984 741 2。<br />
在以后的章节中，我们还会学习定点小数、有符号数的范围和浮点数。在这些数中，某些二进制位用于表示其他信息，所形成的数字就不是简单的整数和小数了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 17:33:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《逻辑与计算机设计基础（原书第5版）》——1.3　数制的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvGErp.html" rel="bookmark">Java核心技术　卷Ⅰ　基础知识（原书第10版）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java核心技术系列 Java核心技术 卷Ⅰ 基础知识 (原书第10版) Core Java Volume I-Fundamentals (10th Edition) ［美］ 凯S.霍斯特曼(Cay S. Horstmann) 著 周立新 陈 波 叶乃文 邝劲筠 杜永萍 译 图书在版编目(CIP)数据 Java核心技术 卷Ⅰ 基础知识(原书第10版) / (美)凯S. 霍斯特曼(Cay S. Horstmann)著:周立新等译. -北京:机械工业出版社,2016.8 (Java核心技术系列) 书			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1QO2M.html" rel="bookmark">《机器学习与R语言（原书第2版）》一 第2章 数据的管理和理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;机器学习与R语言(原书第2版)&gt;一书中的第2章,第2.1节,美] 布雷特·兰茨(Brett Lantz) 著,李洪成 许金炜 李舰 译更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 第2章 数据的管理和理解 任何机器学习项目初期的核心部分都是与管理和理解所收集的数据有关的.尽管你可能发现这些工作不像建立和部署模型那样令人有成就感(建立和部署模型阶段就开始看到了劳动的成果),但是忽视这些重要的准备工作是不明智的.任何学习算法的好坏取决于输入数据的好坏.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4J138M.html" rel="bookmark">《机器学习与R语言（原书第2版）》一1&period;3　机器如何学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;机器学习与R语言(原书第2版)&gt;一书中的第1章,第1.3节,美] 布雷特·兰茨(Brett Lantz) 著,李洪成 许金炜 李舰 译更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 1.3 机器如何学习 机器学习的一个正式定义是由计算机科学家Tom M. Mitchell提出的:如果机器能够获取经验并且能利用它们,在以后的类似经验中能够提高它的表现,这就称为机器学习.尽管这个定义是直观的,但是它完全忽略了经验如何转换成未来行动的过程,当然学习总是说起			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX96xKz.html" rel="bookmark">《面向对象的思考过程（原书第4版）》一2&period;3　尽可能提供最小化的用户接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;面向对象的思考过程(原书第4版)&gt;一书中的第2章,第2.3节,［美］ 马特·魏斯费尔德(Matt Weisfeld) 著黄博文 译更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 2.3 尽可能提供最小化的用户接口 当设计类时,通用规则是尽量不要让用户知道类内部的工作原理.为了达到这点,请遵守以下简单的规则:只提供给用户绝对需要的东西.实际上,这意味着类的接口要尽可能少.当你开始设计一个类时,先从最小化的接口开始.类的设计是迭代式的,所以随后即使你发现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6endgb.html" rel="bookmark">ROS机器人程序设计（原书第2版）&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				机器人设计与制作系列 ROS机器人程序设计 (原书第2版) Learning ROS for Robotics Programming,Second Edition 恩里克·费尔南德斯(Enrique Fernández) 路易斯·桑切斯·克雷斯波(Luis Sánchez Crespo) 阿尼尔·马哈塔尼(Anil Mahtani) 亚伦·马丁内斯(Aaron Martinez) 著 刘锦涛 张瑞雷 等译 图书在版编目(CIP)数据 ROS机器人程序设计(原书第2版) / (西)恩里克·费尔南			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQgE6z.html" rel="bookmark">《JavaScript和jQuery实战手册（原书第3版）》---第1章 编写第一个JavaScript程序  1&period;1 编程简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;JavaScript和jQuery实战手册(原书第3版)&gt;一书中的第1章,第1.1节,作者David Sawyer McFarland,姚待艳 李占宣 译,更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 第1章 编写第一个JavaScript程序 HTML自身并没有太多智能:它不能做数学运算,不能判断某人是否正确填写了一个表单,而且不能根据Web访问者的交互来做出判断.基本上,HTML让人们阅读文本.观看图片或视频,并且单击链接转向拥有更多文本.图片			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmDJvz.html" rel="bookmark">《机器学习与R语言（原书第2版）》一2&period;3　探索和理解数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;机器学习与R语言(原书第2版)&gt;一书中的第2章,第2.3节,美] 布雷特·兰茨(Brett Lantz) 著,李洪成 许金炜 李舰 译更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 2.3 探索和理解数据 在收集数据并把它们载入R数据结构以后,机器学习的下一个步骤是仔细检查数据.在这个步骤中,你将开始探索数据的特征和案例,并且找到数据的独特之处.你对数据的理解越深刻,你将会更好地让机器学习模型匹配你的学习问题. 理解数据探索的最好方法就是通过例子.在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWg4Bp.html" rel="bookmark">《Unity着色器和屏幕特效开发秘笈（原书第2版）》一2&period;7　创建透明材质</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;Unity着色器和屏幕特效开发秘笈(原书第2版)&gt;一书中的第2章,第2.7节,作者 [英]艾伦朱科尼(Alan Zucconi) [美]肯尼斯拉默斯(Kenneth Lammers),更多章节内容可以访问&quot;华章计算机&quot;公众号查看 2.7 创建透明材质 到现在为止,我们见到的着色器都有一个共同点-都用在实心材质上.如果你想提升游戏视觉效果,某些时候透明材质是个不错的选择,比如火焰效果或者窗户玻璃等.透明材质的制作相对复杂一点.在渲染实心物体之前,Uni			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBXevb.html" rel="bookmark">《用户至上：用户研究方法与实践（原书第2版）》一1&period;1　什么是用户体验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;用户至上:用户研究方法与实践(原书第2版)&gt;一书中的第1章,第1.1节,作者 Understanding Your Users: A Practical Guide to User Research Methods, Second Edition凯茜·巴克斯特(Kathy Baxter)[美]凯瑟琳·卡里奇(Catherine Courage) 凯莉·凯恩(Kelly Caine)更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 第1章 用户体验入门			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBkBoM.html" rel="bookmark">《机器学习与R语言（原书第2版）》一1&period;6　总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节书摘来自华章出版社&lt;机器学习与R语言(原书第2版)&gt;一书中的第1章,第1.6节,美] 布雷特·兰茨(Brett Lantz) 著,李洪成 许金炜 李舰 译更多章节内容可以访问&quot;华章计算机&quot;公众号查看. 1.6 总结 机器学习起源于统计学.数据库科学和计算机科学的交叉.它是一个强大的工具,能够在大量的数据中找到可行动的洞察.然而,人们仍需持谨慎的态度,避免现实生活中机器学习的普遍滥用. 从概念上讲,机器学习涉及把数据抽象为结构化表示,并把这个结构化表示进行一般化从而推广到			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmrvjz.html" rel="bookmark" class="title">Photoshop文字教程：打造梦幻的蓝紫色人物签名效果</a>
					<div>
						本教程的重点是介绍如何在作图之前分析图片(如图片色调构成,人物与环境搭配等),然后按照自己所定的目标,需找最直接的方法调色及美化图片.这样会少走弯路.. 原图 最终效果 1.打开原图素材,对图片进行一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxV6Qz.html" rel="bookmark" class="title">谈谈J2SE中的序列化之当序列化遭遇继承</a>
					<div>
						j2se|继承 运行结果证明了这种方法是正确的.在此处我们用到了writeObject/ readObject方法,这对方法如果存在的话,序列化时就会被调用,以代替默认的行为(以后还要探讨,先了解这么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR5Xab.html" rel="bookmark" class="title">让Flash课件在VCD上播放</a>
					<div>
						读者:Flash在制作动画方面有很多优势,我们学校的很多老师都在使用Flash制作教学动画.但是我校硬件设施不是很好,很多教室没有配备电脑和投影机,还是原来的电视机+VCD机的模式,如果想在普通教室播 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze5JNz.html" rel="bookmark" class="title">flash中获得用户屏幕的分辨率脚本</a>
					<div>
						分辨率|脚本 flash中可以使用如下程序获得承载flash播放器的用户屏幕的分辨率,这对于需要制作根据屏幕的分辨率相适应的flash很有帮助的,尤其是移动设备. trace(System.capab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkdjEz.html" rel="bookmark" class="title">复合控件制作示例</a>
					<div>
						平时在编程时,常想自己编一些适用的控件以利于程序开发,最近编了一个 定时关机的控件.现把它提供出来,为和我类似的朋友提供小小的帮助.由于我 也是初学乍练,有不当的地方请各位高手给予指出. 1.利用AT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNAlZb.html" rel="bookmark" class="title">Fireowrks制作夸张幽默的卡通表情</a>
					<div>
						案例欣赏 人的面部可以表现出成千上万.不计其数而又十分微妙的表情,而且表情的变化十分迅速.敏捷和细致,能够真实.准确地反映情感,传递信息.面部所表现出的各种各样的情感,最能吸引对方的注意.在你未开口之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjv3np.html" rel="bookmark" class="title">asp&period;net使用npoi读取excel模板并导出下载详解</a>
					<div>
						 这篇文章主要介绍了asp.net使用npoi读取excel模板并导出下载的示例,大家参考使用吧 为什么要使用NPOI导出Excel?   一.解决传统操作Excel遇到的问题:   如果是.NET, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rov5p.html" rel="bookmark" class="title">WinXP系统怎么添加打印机</a>
					<div>
						  WinXP系统怎么添加打印机           一.如果你知道打印机的IP地址,那么连接起来就是非常简单的,我们一起来看看吧: 1.如图:开始--&gt;运行. 2.输入反斜杠&quot;\IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBX2Dz.html" rel="bookmark" class="title">&period;swf文件是什么</a>
					<div>
						swf文件是flash动画文件,打开swf文件方法有很多种,下面三联教程给大家分享下几种最简单的打开方法. 打开swf文件方法如下: 一:使用flash软件打开swf文件 由于flash动画设计软件设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24kgQp.html" rel="bookmark" class="title">xp系统如何去除桌面图标蓝色阴影</a>
					<div>
						工具/原料 组策略编辑器 方法/步骤 首先,我们可以看看桌面右键菜单上有没有锁定WEB项目,如果有的话,我们直接勾除这个选项,如果没有选择这个项目的话,我们开始下面的步骤进行操作. 接下来,我们按下微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArPBJp.html" rel="bookmark" class="title">电脑老是自动重启怎么办？</a>
					<div>
						  右键我的电脑(计算机),选择属性,在弹出来的窗口里选择点击左边的&quot;高级系统设置&quot;,继续在弹出的&quot;系统属性&quot;窗口选择高级页,&quot;启动和故障修复&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ6o8p.html" rel="bookmark" class="title">informatica-安装Informatica9&period;6&period;1  在配置域的时候一直提示失败</a>
					<div>
						问题描述 安装Informatica9.6.1 在配置域的时候一直提示失败 日志上的记录如下: &quot;D:ProgramFileInformaticaInformatica_9.6.1_serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYdZLp.html" rel="bookmark" class="title">方正快速开发平台ES2007的V3&period;5版本发布了吗？上哪可以下载到？</a>
					<div>
						问题描述 方正快速开发平台ES2007的V3.5版本发布了吗?上哪可以下载到免费试用版的? 解决方案 本帖最后由 dongdongdang 于 2010-12-22 16:03:07 编辑					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRyR3p.html" rel="bookmark" class="title">Spring Cloud Zookeeper 中心化配置文件</a>
					<div>
						为什么要使用zookeeper来管理项目配置? 每当我们的项目需要更改配置文件的时候,我们都会重新打包并重新部署项目.如果一个项目还好说,如果是分布式的服务,那么我们需要停掉左右机器上的服务,上传新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKy63b.html" rel="bookmark" class="title">vs2005文本导入</a>
					<div>
						问题描述 这里有一个文本文件,文本中的格式是这样,&quot;...&quot;,&quot;...&quot;以逗号隔开的带引号的两组字符串(文字),分别对应到数据库中pubs中的insert表,& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AWOZz.html" rel="bookmark" class="title">二次重组启动：银河动力渐进式转型军工</a>
					<div>
						中止近半年的银河动力(000519.SZ)向军工转型重组方案出现新进展.不过,银河动力这次改变了此前拟将湘潭江南工业有限公司(下称&quot;江南工业&quot;)全部股权置入的重组方式,而选择了渐进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyyndz.html" rel="bookmark" class="title">link中能不能对时间戳直接进行大小比较？怎么解析时间戳？</a>
					<div>
						问题描述 link中能不能对时间戳直接进行大小比较?怎么解析时间戳? link中能不能对时间戳直接进行大小比较?怎么解析时间戳? 解决方案 DateTime dtStart = TimeZone.Cu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeonGVM.html" rel="bookmark" class="title">《漫画线性代数》读书笔记 通读小结 - 一个好消息，一个坏消息</a>
					<div>
						&lt;漫画线性代数&gt;读书笔记 通读小结 - 一个好消息,一个坏消息 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXDVQb.html" rel="bookmark" class="title">c语言新手 求大神帮忙</a>
					<div>
						问题描述 c语言新手 求大神帮忙 Asterisk printing1 ? Write a program that outputs a triangle with a '*' character ? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ2kVp.html" rel="bookmark" class="title">一个很大Ａ仓库和Ｂ仓库中有许多放置货的地点（区），如果相同的一批货，一个区放不下，需要放在邻近的区 ，同时一个区也有可能放多种货物。</a>
					<div>
						问题描述 一个很大A仓库和B仓库中有许多放置货的地点(区),如果相同的一批货,一个区放不下,需要放在邻近的区,同时一个区也有可能放多种货物.如A仓库一区至四区放a货物,A-1对a A仓库九区放c.b货 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoQ5OM.html" rel="bookmark" class="title">物联网技术已成爱尔兰重点投资领域</a>
					<div>
						爱尔兰是一个岛国,面积还没有美国印第安纳州大.但近年来,爱尔兰在推进全球物联网应用中正扮演积极角色,物联网技术的创新发展也开始成为爱尔兰吸引投资的一个重要战略领域. 在物联网发展方面,人们目前已逐步从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKnJmz.html" rel="bookmark" class="title">Symfony2框架学习笔记之HTTP Cache用法详解&lowbar;php实例</a>
					<div>
						本文实例讲述了Symfony2框架HTTP Cache用法.分享给大家供大家参考,具体如下: 富web应用程序的本质意味着它们的动态.无论你的应用程序多么有效率,每个请求比起静态文件来说总会存在很多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWweQz.html" rel="bookmark" class="title">杰和G330多屏异显终端 气象变化尽在掌握</a>
					<div>
						有统计资料显示,在我国自然灾害中,气象灾害占70%.超强台风.暴雨洪涝.雪灾等等,给国民经济造成了巨大损失. 自然灾害无法避免,但却能有效的监测和预报,做好防御措施,最大限度的实现防灾减灾.因此,如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoQEdM.html" rel="bookmark" class="title">云计算中负载平衡算法比较分析</a>
					<div>
						Comparative Analysis of Load Balancing Algorithms in Cloud Computing NITIKA SHAVETA  GAURAV RAJ This ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdKDLp.html" rel="bookmark" class="title">音箱能够为人们茶余饭后提供一种娱乐消遣</a>
					<div>
						时下,音箱已经成为人们生活中的一部分,能够为人们茶余饭后提供一种娱乐消遣.但购买一款具有真正性价比的音箱并不是易事,于是许多人会秉着&quot;花小钱,办大事&quot;的原则,去逐一对比.选购.东莞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdg5DM.html" rel="bookmark" class="title">《Cisco QoS认证考试指南（第2版）》&mdash;&mdash;第6章流量限速和整形</a>
					<div>
						第6章 流量限速和整形Cisco QoS认证考试指南(第2版)QoS考试内容 本章涵盖了QoS考试中的部分考试内容,如下所示. 描述使用流量限速和流量整形进行流量调节的目的,描述这两个特性之间的区别: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5OVA6b.html" rel="bookmark" class="title">两岸六地实时直播 百度与国家天文台邀您中秋赏月</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 中秋节即将来临,不管你是买好票准备 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4370Jp.html" rel="bookmark" class="title">Facebook携&OpenCurlyDoubleQuote;好友&rdquo;与谷歌竞争</a>
					<div>
						8月11日消息,&lt;商业周刊&gt;网络版今天载文称,Facebook之所以收购FriendFeed,并非针对Twitter,而是是看中了其实时搜索技术,借此挑战谷歌.以下为文章主要内容 虽然去年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2J7Zob.html" rel="bookmark" class="title">LCD液晶明年停产掀降价狂潮</a>
					<div>
						重庆晨报讯 (记者 曹嘉智)刚刚进入家电市场5年左右的时间,LCD液晶和早前的背投彩电一样,也面临着即将退市的命运. 近日,有消息传出,创维(微博).海信等生产厂家都表示,明年将逐步停产LCD液晶电视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7ANqp.html" rel="bookmark" class="title">web&period;xml关于error-page的问题</a>
					<div>
						问题描述 web.xml中配置了:&lt;error-page&gt;&lt;error-code&gt;404&lt;/error-code&gt;&lt;location&gt;/errorPag ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.042 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
